{% extends 'dashboard/dashboard_header.html' %}

{% block title %}
    {{ message.page_title }}
{% endblock %}

{% block content %}
    <div class="col-md-10 col-md-offset-1">
        <div class="col-middle">
            <div class="text-center text-center">
                <div class="jumbotron">
                    <h1>{{ message.title }}</h1>
                    <p>{{ message.description }} </p></div>
                {% if form %}
                <div class="col-md-8 col-md-offset-2">
                <div class="row">
                    <table style="background-color:#ffffff" class="table table-responsive table-bordered">
                        <thead>
                        <tr>
                            <th>Application Number</th>
                            <th>Applied Date</th>
                            <th>PDF</th>
                            <th>STATUS</th>
                            <th>DELETE</th>
                        </tr>
                        </thead>
                        <tbody>
                        
                            <tr>
                                <td>{{ form.form.pk }}</td>
                                <td>{{ form.form.date_of_application }}</td>
                                <td>
                                    <button class="btn btn-primary"
                                            onclick="location.href='{% url 'download_application_as_pdf' application_id=form.form.pk %}'">
                                        PDF
                                    </button>
                                </td>
                                <td>
                                    {{ form.status }}
                                </td>
                                <td>{% if form.form.applicationStatus <= 1 %}
                                    <button class="warning" data-toggle="modal" data-target="#confirm">
                                        Delete
                                    </button>
                                    <div class="modal" id="confirm" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button"class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b>Confirm Delete</b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4>
                                            <ul>
                                                <li>You have to re-apply again</li>
                                                <br>
                                                <li>Are you want to delete the application?</li>
                                            </ul>
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <button onclick="location.href='{% url 'delete_my_application' application_id=form.form.pk %}'" class="btn1 btn-dark-green">Delete
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>


                                   {% else %}Can't Delete{% endif %}
                                </td>
                                
                            </tr>
                       
                        </tbody>
                    </table>
                </div>
            {% endif %}
          
            </div>
            </div>
        </div>
    </div>

{% endblock %}
